Bug 684377 - sunbird has broken deps with libnotify
Summary: sunbird has broken deps with libnotify
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sunbird
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 724915 732055 748485 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-12 00:49 UTC by tuxor
Modified: 2012-08-07 16:52 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:52:37 UTC


Attachments (Terms of Use)
patch to constructors to allow rebuild (3.54 KB, patch)
2011-10-21 13:47 UTC, Bill C. Riemers
no flags Details | Diff

Description tuxor 2011-03-12 00:49:19 UTC
Description of problem:
when trying to install sunbird via yum, I get this error:
Package: sunbird-1.0-0.33.b2pre.fc15.x86_64 (fedora)
            Requires: libnotify.so.1()(64bit)


Version-Release number of selected component (if applicable):
sunbird 1.0-0.33.b2pre.fc15.x86_64
yum 3.2.29-4

Steps to Reproduce:
1. go to a terminal
2. type in (as root): yum install sunbird
  
Actual results:
doesn't install, but states error message from above


Expected results:
should install sunbird

Comment 1 Bruno Wolff III 2011-03-15 15:14:23 UTC
I was pointed to the following fix when I mentioned the libnotify issue on the devel list.

Comment 2 Bruno Wolff III 2011-03-15 15:14:39 UTC
Oops:
http://hg.mozilla.org/mozilla-central/rev/ca548ef9d8c6

Comment 3 tuxor 2011-03-26 10:30:19 UTC
What does that mean? What to do about this dep-problem?

Comment 4 Bruno Wolff III 2011-03-26 14:59:18 UTC
You should look at the sample change in the referenced bug and do something similar for sunbird (or check if upstream has already done something) in F15 and devel.

Comment 5 Bruno Wolff III 2011-03-26 15:10:47 UTC
Oops, what I listed is what the maintainer needs to do. As an end user you need to wait for the fix or build your own version. If you build your own version and get it to work post back what you did. Eventually that will be my approach, as I need sunbird working before I can upgrade my work desktop to F15. But I may not get time to do this for a while.

Comment 6 Bruno Wolff III 2011-03-27 15:24:24 UTC
More not so good news. The future of sunbird isn't good. Mozilla isn't supporting it any more. They suggest using the lightning addon for thunderbird.
The lightning extension for thunderbird was dropped for F15 because the two were often out of sync and it was felt a separate package would be better. No one has stepped up to do the separate package yet. Upstream has indicated that lightning is going to do a better job of matching up with thunderbird going forward, so that might change back at some point.
Sunbird shared a lot of code with lightning, so it might be possible for someone in the short run to get it working, in the long run things don't look so good.

Comment 7 Michael J. Chudobiak 2011-05-17 15:20:57 UTC
Gah, this is a nasty surprise in F15...

Is the sunbird maintainer going to provide a working sunbird for F15, with the libnotify problem patched, or is it being pulled entirely?

The lightning extension is not packaged, and the xpi install does not seem to work, so their is no user-level workaround here.

- Mike

Comment 8 tuxor 2011-05-17 15:33:54 UTC
The lightning extension IS indeed packaged. Just "yum install thunderbird-lightning".

To be honest: since development on Sunbird stopped about a year ago it's no surprise F15 won't support it any longer. I wonder why they aren't kicking it entirely from the repo.

Comment 9 Michael J. Chudobiak 2011-05-17 15:42:03 UTC
Thanks, I was unaware of that!

Comment 10 Bruno Wolff III 2011-05-17 16:35:30 UTC
I have switched to lightning and it works similarly. It has the advantage, that you can email ical messages to invitees and the disadvantage that there is a bug in refreshing remote ical calenders (webdav and local work fine) that wasn't in the last working sunbird (the bug probably won't be fixed real soon).

Sunbird could probably still be built without too much work, but as time goes on things will get harder and harder, so it's probably not worth going down that road.

Comment 11 Patrick Mansfield 2011-06-20 15:41:37 UTC
This sucks ...

I've got lighting installed but I can't use it without first exporting my current calendar from sunbird, and then importing that into lightning.

I'll either have to get sunbird built, or boot back to Fedora 13 (where sunbird actually works), and export my calendar for import into lightning.

So far, I haven't been able to build sunbird on Fedora 15, using the source rpm :-(

I guess sunbird for F15 wasn't built using the current g++? The build fails with:

nsEnumeratorUtils.cpp:115:27: error: uninitialized const 'EmptyEnumeratorImpl::kInstance' [-fpermissive]

Comment 12 Bruno Wolff III 2011-06-20 15:58:33 UTC
I am pretty sure you can use rpm with --nodeps to install it and it will work good enough to export your calendar.

Comment 13 Patrick Mansfield 2011-06-20 16:34:11 UTC
(In reply to comment #12)
> I am pretty sure you can use rpm with --nodeps to install it and it will work
> good enough to export your calendar.

Thanks Bruno, that worked fine!

I suppose you can also use sunbird that way if you aren't using the notifications.

FYI: I used this to download and install the rpm:

yumdownloader sunbird
rpm -ivh --no-deps ./sunbird-1.0-0.33.b2pre.fc15.x86_64.rpm

Comment 14 Flavio Leitner 2011-07-05 00:28:28 UTC
happens with i686 as well.

Comment 15 Edgar Hoch 2011-08-19 14:46:38 UTC
Is it possible that the package will be rebuild? I guess that it may solve the dependency problem.

Comment 16 Andre Robatino 2011-08-20 22:26:17 UTC
*** Bug 724915 has been marked as a duplicate of this bug. ***

Comment 17 Andre Robatino 2011-08-20 22:29:13 UTC
*** Bug 732055 has been marked as a duplicate of this bug. ***

Comment 18 Eugene Kanter 2011-09-02 22:55:05 UTC
What about packaging F14 libnotify as libnotify1 like opensuse does?

http://pkgs.org/opensuse-11.4/opensuse-oss-i586/libnotify1-0.6.0-2.1.i586.rpm.html

This may solve the dependency problem if older libnotify still functional in F15

Comment 19 Bruce vaNorman 2011-09-15 12:48:06 UTC
same "problem" here
I've got 15 machines (2 Windows) using shared calendars on home server (CentOS). I hope that lightning is FTP compatible for shared calendars.

The provided recipe seems to work with --nodeps (dropped the dash)
yumdownloader sunbird
rpm -ivh --nodeps ./sunbird-1.0-0.33.b2pre.fc15.i686.rpm
many, many thanks

Will look around for a libnotify.so.1 .. i686

kernel = 2.6.40.4-5.fc15.i686.PAE

FYI i686.PAE exploits my 8gB SDRAM quite efficiently.

Comment 20 Bill C. Riemers 2011-09-25 15:58:18 UTC
Rebuilding the package is bust do to actual build failures in the code.  If this package is truly orphaned, I can try working on a patch to fix the build failures.   (I suspect the build failures are a result of gcc updates.)

Unfortunately, lightning is hardly acceptable alternative.   My primary reason for using sunbird is so I can have audio alerts for meetings.  I don't know if lightning provides those, but I do know that when I use lightning, thunderbird regularly blocks in a non-responsive state while polling shared calendar updates.   The net result is I cannot reliably check my e-mail with lightning installed.

Sunbird also does the same non-responsive states, but at least I can still access my e-mail during those times...

BTW.  For now the best workaround is:

ln -s /usr/lib64/libnotify.so.4 /usr/lib64/libnotify.so.1
yumdownloader sunbird
rpm -Uvh --nodeps sunbird*.rpm

However, you will still see a warning message every time you use yum.

Comment 21 Bill C. Riemers 2011-09-25 16:00:41 UTC
Of course if you are using 32 bit fedora the steps should be:

ln -s /usr/lib/libnotify.so.4 /usr/lib/libnotify.so.1
yumdownloader sunbird
rpm -Uvh --nodeps sunbird*.rpm

Comment 22 Phil V 2011-10-20 01:50:04 UTC
Does lightning sync calendar events with Google Calendar as Mozilla Sunbird apparently could?

http://www.google.com/support/calendar/bin/answer.py?answer=99355

Is there any user-friendly way in Fedora to sync with Google Calendar?

Comment 23 Bill C. Riemers 2011-10-21 13:47:59 UTC
Created attachment 529511 [details]
patch to constructors to allow rebuild

I'll attach RPM's as well.  I don't know the procedure to submit the rpm update into fedora, otherwise I would begin that processes as well.

Comment 24 Bill C. Riemers 2011-10-21 13:55:42 UTC
Hmmm.  It looks like the RPM's are too large to attach.

Comment 26 David Juran 2011-11-10 20:36:25 UTC
*** Bug 748485 has been marked as a duplicate of this bug. ***

Comment 27 Bill C. Riemers 2011-11-11 00:29:29 UTC
What is the next step, so this can end-up in the fedora 15 and 16 archives?   I noticed sunbird isn't in fedora 16 at all.  Rather than posting a Fedora 16 build on my server I did a scratch koji build.  (Of course the fedora 15 build works fine for Fedora 16.)


http://koji.fedoraproject.org/koji/taskinfo?taskID=3506390


I also build a Fedora 15 with koji, so there is no need to pull it from my rather slow website.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3506411

Comment 28 Bill C. Riemers 2011-12-12 13:29:17 UTC
Any chance of getting this in rawhide?

Comment 29 Fedora End Of Life 2012-08-07 16:52:41 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.